package com.yidian.bcommon.widget

import android.content.Context
import android.util.AttributeSet
import com.yidian.nightmode.widget.YdRecyclerView

class YdMaxRecyclerView @JvmOverloads constructor(
    context: Context,
    attributeSet: AttributeSet? = null,
    defStyle: Int = 0
): YdRecyclerView(context, attributeSet, defStyle) {
    override fun onMeasure(widthSpec: Int, heightSpec: Int) {
        val expandSpec = MeasureSpec.makeMeasureSpec(Int.MAX_VALUE shr 2, MeasureSpec.AT_MOST)
        super.onMeasure(widthSpec, expandSpec)
    }
}
